﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=b4jsendertool.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
		
	Dim sql1 As SQL
	
	#if b4j	
	Private fx As JFX
	#End If
	
	Dim id_msg As Int = 0
	
	Private tfTitle As B4XView
	Private tfNotification As B4XView	
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	If File.Exists(File.DirApp, "push.sdb") = False Then
		File.Copy(File.DirAssets, "push.sdb", File.DirApp, "push.sdb")
	End If
	
	sql1.InitializeSQLite(File.DirApp, "push.sdb", True)
	
	CreateTables
		
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub CreateTables
	sql1.ExecNonQuery("CREATE TABLE IF NOT EXISTS apps (id INTEGER PRIMARY KEY AUTOINCREMENT, nome VARCHAR (50), chave VARCHAR (500))")
	sql1.ExecNonQuery("CREATE TABLE IF NOT EXISTS mensagens (id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, titulo VARCHAR (50), mensagem VARCHAR (1000) COLLATE NOCASE, topico VARCHAR (50), id_app INTEGER REFERENCES apps (id) ON DELETE NO ACTION ON UPDATE NO ACTION, imagem VARCHAR (250) DEFAULT '', tag VARCHAR (50))")
End Sub

Sub B4XPage_Appear
	id_msg = 33
'	id_msg = 32
'	id_msg = 23
	
	LoadMessages
End Sub
'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub LoadMessages
	Dim rs As ResultSet = sql1.ExecQuery("SELECT id, titulo, mensagem FROM mensagens WHERE id = " & id_msg)
	
	tfTitle.Text = rs.GetString("titulo")
	tfNotification.Text = rs.GetString("mensagem")
	
'	tfTitle.Text = "New version in Play Store 😀❤️📆"
'	tfNotification.Text = "This is a notification test 📆 Check this 🙏🙌♥️"
	
End Sub


'Calling B4XPages.ClosePage(Me) will not raise the CloseRequest event.
Private Sub btnClose_Click
	B4XPages.ClosePage(Me)
End Sub